Update a student relative

Updates the editable contact and family-side fields for a relative belonging to the authenticated user’s active school.

Authentication

AuthorizationBearer

The signed-in SchoolSet user token sent by the frontend.

Path parameters

idintegerRequired
Relative student ID

Request

This endpoint expects an object.
firstnamestring or nullOptional
lastnamestring or nullOptional
emailstring or nullOptionalformat: "email"
prefixstring or nullOptional
suffixstring or nullOptional
home_phonestring or nullOptional
cell_phonestring or nullOptional
addressstring or nullOptional
citystring or nullOptional
statestring or nullOptional
countrystring or nullOptional
zipstring or nullOptional
family_sideenum or nullOptional
Allowed values:

Response

Updated relative resource
statusstringOptional
messagestringOptional
datamap from strings to anyOptional

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error